tools

# Class: PlaVcardExporter

Source Location: /lib/export.inc

### Class Overview

    PlaAbstractExporter
       |
       --PlaExporter
          |
          --PlaVcardExporter

### Variables

- $deliveryAddress
- $vcardMapping

### Methods

- PlaVcardExporter
- export

### Inherited Variables

#### Class: PlaExporter

PlaExporter::$br
PlaExporter::$exporter

### Inherited Methods

#### Class: PlaExporter

PlaExporter::PlaExporter()
  Constructor
PlaExporter::export()
  Abstract method use to export data.
PlaExporter::is_safe_ascii()
  Helper method to check if the attribute value should be base 64 encoded.
PlaExporter::pla_fetch_entry_array()
  Return the entry as an array
PlaExporter::pla_fetch_entry_object()
  Return the entry as an Entry object
PlaExporter::pla_get_ldap_info()
  Return a PlaLdapInfo Object
PlaExporter::pla_has_entry()
  Return true if there is some more entries to be processed
PlaExporter::pla_num_entries()
  Return the number of entries
PlaExporter::setOutputFormat()
  Set the carriage return /linefeed for the export

#### Class: PlaAbstractExporter

PlaAbstractExporter::pla_fetch_entry_array()
  Return the entry as an array
PlaAbstractExporter::pla_fetch_entry_object()
  Return the entry as an Entry object
PlaAbstractExporter::pla_get_ldap_info()
  Return a PlaLdapInfo Object
PlaAbstractExporter::pla_has_entry()
  Return true if there is some more entries to be processed
PlaAbstractExporter::pla_num_entries()
  Return the number of entries

### Class Details

[line 565]
[ Top ]

### Class Variables

#### $deliveryAddress = array("postOfficeBox",
"street",
"l",
"st",
"postalCode",
"c")

[line 582]

Type: | mixed

[ Top ]

#### $vcardMapping = array('cn' => 'FN',
'title' => 'TITLE',
'homePhone' => 'TEL;HOME',
'mobile' => 'TEL;CELL',
'mail' => 'EMAIL;Internet',
'labeledURI' =>'URL',
'o' => 'ORG',
'audio' => 'SOUND',
'facsmileTelephoneNumber' =>'TEL;WORK;HOME;VOICE;FAX',
'jpegPhoto' => 'PHOTO;ENCODING=BASE64',
'businessCategory' => 'ROLE',
'description' => 'NOTE'
)

[line 568]

Type: | mixed

[ Top ]

### Class Methods

### constructor PlaVcardExporter [line 589]

`PlaVcardExporter PlaVcardExporter( $exporter)`

#### Parameters:

| $exporter |

[ Top ]

### method export [line 598]

`void export( )`

When doing an exporter, the method export need to be overriden.

A basic implementation is provided here. Customize to your need

Overrides PlaExporter::export() (Abstract method use to export data.)
[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:52:57 +0200 by phpDocumentor 1.4.1